# digital-human-widget-js

## 介绍

百度数字人团队 云上 Widget 基础组件

## 下载
```
npm install --save digital-human-widget-js
```

## 使用
```
import WidgetSdk from 'digital-human-widget-js';

const Demo = () => {
    <!-- 初始化实例 -->
    const widget = new WidgetSdk({
        defaultDuration: -1
    });
    const image = {
        type: 'image',
        image: {
            id: 1,
            url: 'https://www.diyimei.net/upload/2018/1540988741494445.jpg'
        }
    };
    <!-- 打开widget -->
    widget.openWidget({
        widgetData: image
    });
    <!-- 更新config -->
    widget.updateConcifg({
        defaultDuration: 10
    });
    <!-- 获取widget组件 -->
    // widget.getWidgetComp({
    //     el: document.getElementById('container'),
    //     widgetData: image
    //     compType: 'comp' || 'widget' || 'screen'
    // });
    <!-- 移除widget，widget类型的，并非组件 -->
    // setTimeout(() => widget.removeWidget(), 2000);
    // setTimeout(() => {
    //     widget.openWidget({
    //         widgetData: image
    //     })
    // }, 4000);
};
```
